#FROM alpine:3.17.1
# Bug in DNS resolutions on local network (rerouting) in recent alpine... so we use 3.11.2
FROM alpine:3.11.2

RUN apk upgrade -U -a
RUN apk add --update tor iptables ip6tables iproute2 bash curl sudo

COPY . /opt/tor-router

WORKDIR /opt/tor-router
RUN chmod +x /opt/tor-router/entrypoint.sh
ENTRYPOINT ["/opt/tor-router/entrypoint.sh"]
